<?php

namespace Hecate\Components\Heading;

use Hecate\Components\ComponentBase;

class HeadingComponent extends ComponentBase {

	public static $type         = 'heading';
	protected static $rootClass = 'hecate-heading';
	protected static $template  = 'components/heading';


	public function getSections() {
		return array(
			array(
				'id'            => $this->getSectionId(),
				'title'         => __( 'Heading', 'hecate' ),
				'hiddenSection' => true,
				'panel'         => $this->getCurrentPanel(),
				'type'          => 'hecate-tab-section',
				'priority'      => 1,
			),
		);
	}

	public function getTag() {
		return $this->getAttribute( 'tag' );
	}
}

